# $Revision: 1.26 $, $Date: 2008/07/27 22:41:28 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	GD
%define		pnam	Graph3d
Summary:	GD::Graph3d - create 3D graphs with GD and GD::Graph
Summary(pl.UTF-8):	GD::Graph3d - tworzenie grafów trójwymiarowych z pomocą GD i GD::Graph
Name:		perl-GD-Graph3d
Version:	0.63
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f866dcdd1e7e2056bb946ab7ac3fe37b
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-GD >= 1.18
BuildRequires:	perl-GD-Graph >= 1.30
BuildRequires:	perl-GD-TextUtil
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the GD::Graph3d extensions module. It provides 3D graphs
for the GD::Graph module by Martien Verbruggen, which in turn
generates graph using Lincoln Stein's GD.pm.

%description -l pl.UTF-8
To jest moduł GD::Graph3d. Dodaje wykresy 3D do modułu GD::Graph
autorstwa Martiena Verbruggena, który generuje wykresy przy użyciu
modułu GD.pm autorstwa Lincolna Steina.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/GD/Graph3d.pm
%{perl_vendorlib}/GD/Graph/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-GD-Graph3d.spec,v $
Revision 1.26  2008/07/27 22:41:28  arekm
- release 3

Revision 1.25  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.24  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.23  2004/11/03 22:30:23  paladine
- formatting

Revision 1.22  2004/05/06 18:09:37  ankry
- fixed perl-devel BR

Revision 1.21  2004/04/25 08:29:42  ankry
- tests added

Revision 1.20  2004/04/21 20:01:25  ankry
- summary

Revision 1.19  2004/04/21 08:59:40  ankry
- license fixes/unification

Revision 1.18  2003/09/09 10:24:36  ankry
- spaces -> tab

Revision 1.17  2003/08/18 08:08:47  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.16  2003/05/28 13:00:39  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:24:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.13  2003/03/01 19:36:25  radek
- should be ready for perl-5.8.0; release++

Revision 1.12  2003/02/24 20:31:53  radek
- use the __perl macro

Revision 1.11  2003/02/18 15:32:36  ankry
- massive attack: change CPAN URLs

Revision 1.10  2003/01/07 16:25:42  mis
- autoupdated to 0.63

Revision 1.9  2002/11/08 19:13:23  radek
- version 0.61
- fixed typo in %changelog

Revision 1.8  2002/07/20 15:02:56  qboosh
- updated to 0.59

Revision 1.7  2002/07/13 15:42:23  qboosh
- new %%doc, cosmetics

Revision 1.6  2002/07/10 08:47:24  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.5  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.4  2002/03/03 22:26:15  marcus
- rel.2

Revision 1.3  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/02/19 13:26:41  qboosh
- pl description

Revision 1.1  2002/02/19 13:08:41  depesz
- new module
- sorry - no polish description
- STBR
